zenilib: zenilib/jni/external/angle/src/compiler/Common.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
Common.h File Reference
`#include <map>`
`#include <sstream>`
`#include <string>`
`#include <vector>`
`#include "compiler/PoolAlloc.h"`

Go to the source code of this file.

## Classes

class | TMap< K, D, CMP >
struct | TSourceLoc
class | TVector< T >

## Macros

#define | POOL_ALLOCATOR_NEW_DELETE()
#define | TPersistString std::string
#define | TPersistStringStream std::ostringstream

## Typedefs

typedef std::basic_string < char, std::char_traits< char > , TStringAllocator > | TString
typedef pool_allocator< char > | TStringAllocator
typedef std::basic_ostringstream< char, std::char_traits< char > , TStringAllocator > | TStringStream

## Functions

TString * | NewPoolTString (const char *s)

## Macro Definition Documentation

#define POOL_ALLOCATOR_NEW_DELETE | ( |  | ) |

Value:
void* operator new(size_t s) { return GetGlobalPoolAllocator()->allocate(s); } \
void* operator new(size_t, void *_Where) { return (_Where); } \
void operator delete(void*) { } \
void operator delete(void *, void *) { } \
void* operator new[](size_t s) { return GetGlobalPoolAllocator()->allocate(s); } \
void* operator new[](size_t, void *_Where) { return (_Where); } \
void operator delete[](void*) { } \
void operator delete[](void *, void *) { }
TPoolAllocator::allocate
void * allocate(size_t numBytes)
Definition: PoolAlloc.cpp:206
s
GLdouble s
Definition: glew.h:1376
GetGlobalPoolAllocator
TPoolAllocator * GetGlobalPoolAllocator()
Definition: PoolAlloc.cpp:36
void
GLvoid **typedef void(GLAPIENTRY *PFNGLGETVERTEXATTRIBDVPROC)(GLuint
Definition: glew.h:1824
size_t
unsigned int size_t
Definition: SDL_config_windows.h:67

Definition at line 27 of file Common.h.

#define TPersistString std::string

Definition at line 53 of file Common.h.

#define TPersistStringStream std::ostringstream

Definition at line 54 of file Common.h.

Referenced by TInfoSinkBase::location(), and TInfoSinkBase::operator<<().

## Typedef Documentation

typedef std::basic_string<char, std::char_traits<char>, TStringAllocator> TString

Definition at line 41 of file Common.h.

typedef pool_allocator<char> TStringAllocator

Definition at line 40 of file Common.h.

typedef std::basic_ostringstream<char, std::char_traits<char>, TStringAllocator> TStringStream

Definition at line 42 of file Common.h.

## Function Documentation

TString* NewPoolTString | ( | const char * | s | ) |

inline

Definition at line 43 of file Common.h.

References TPoolAllocator::allocate(), and GetGlobalPoolAllocator().

Referenced by IdentifyBuiltIns(), TSymbolTable::insertBuiltIn(), InsertBuiltInFunctions(), TSymbolTable::insertConstInt(), switch(), and while().